# Data Catalog

The following table shows the list of available scopes from MyInfo that a sgID relying party can request for.

<table><thead><tr><th width="150">Data item</th><th width="259">Scope</th><th width="308.71428571428567">Description</th><th>Value</th></tr></thead><tbody><tr><td>Principle name</td><td>myinfo.name</td><td>Full name of user printed on NRIC or FIN card. Includes Surname if any</td><td>string</td></tr><tr><td>NRIC/FIN</td><td>myinfo.nric_number</td><td>NRIC number or FIN of user. NRIC number is the unique identifier given to every Singapore Citizens (SC) and Permanent Residents (PR), while FIN is the unique identifier for Foreigners (FIN)</td><td>string</td></tr><tr><td>Date of Birth</td><td>myinfo.date_of_birth</td><td>Date of birth of the user</td><td>String in YYYY-MM-DD format</td></tr><tr><td>Passport number</td><td>myinfo.passport_number</td><td>Passport number of the user</td><td>String e.g. E35463874W</td></tr><tr><td>Passport expiry date</td><td>myinfo.passport_expiry_date</td><td>Passport expiry date of the user</td><td>String in YYYY-MM-DD format</td></tr><tr><td>Mobile number</td><td>myinfo.mobile_number</td><td>Mobile number of the user</td><td>8-digit number without Country Code</td></tr><tr><td>Email address</td><td>myinfo.email</td><td>Email address of the user</td><td>String</td></tr><tr><td>Registered address</td><td>myinfo.registered_address</td><td>Registered address of the user. For SC/PR - Registered address is the address that is printed on the NRIC card.</td><td>String e.g. 102 BEDOK NORTH AVENUE 4\n#09-128\nSINGAPORE 460102</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.id.gov.sg/1/data-catalog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
